/* Generated By:JJTree&JavaCC: Do not edit this line. ExprParserConstants.java */

/**
 * Token literal values and constants.
 * Generated by org.javacc.parser.OtherFilesGen#start()
 */
public interface ExprParserConstants {

  /** End of File. */
  int EOF = 0;
  /** RegularExpression Id. */
  int SPACE = 1;
  /** RegularExpression Id. */
  int integer = 2;
  /** RegularExpression Id. */
  int plus = 3;
  /** RegularExpression Id. */
  int minus = 4;
  /** RegularExpression Id. */
  int mult = 5;
  /** RegularExpression Id. */
  int div = 6;
  /** RegularExpression Id. */
  int left_paren = 7;
  /** RegularExpression Id. */
  int right_paren = 8;

  /** Lexical state. */
  int DEFAULT = 0;

  /** Literal token values. */
  String[] tokenImage = {
    "<EOF>",
    "<SPACE>",
    "<integer>",
    "\"+\"",
    "\"-\"",
    "\"*\"",
    "\"/\"",
    "\"(\"",
    "\")\"",
  };

}
